Package org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer

# Class EMFCompareStructureMergeViewerLabelProvider

java.lang.Object
org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider
org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider.FontAndColorProvider
org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.EMFCompareStructureMergeViewerLabelProvider

All Implemented Interfaces:
  `INotifyChangedListener`, `org.eclipse.jface.viewers.DelegatingStyledCellLabelProvider.IStyledLabelProvider`, `org.eclipse.jface.viewers.IBaseLabelProvider`, `org.eclipse.jface.viewers.IColorProvider`, `org.eclipse.jface.viewers.IFontProvider`, `org.eclipse.jface.viewers.ILabelProvider`, `org.eclipse.jface.viewers.ITableColorProvider`, `org.eclipse.jface.viewers.ITableFontProvider`, `org.eclipse.jface.viewers.ITableLabelProvider`

public class EMFCompareStructureMergeViewerLabelProvider extends AdapterFactoryLabelProvider.FontAndColorProvider implements org.eclipse.jface.viewers.DelegatingStyledCellLabelProvider.IStyledLabelProvider
A specialized `AdapterFactoryLabelProvider.FontAndColorProvider` for the structure merge viewer.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider

`AdapterFactoryLabelProvider.ColorProvider, AdapterFactoryLabelProvider.ConvertingStyler, AdapterFactoryLabelProvider.FontAndColorProvider, AdapterFactoryLabelProvider.FontProvider, AdapterFactoryLabelProvider.StyledLabelProvider`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected StyledStringConverter`
`styledStringConverter`

### Fields inherited from class org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider

`adapterFactory, defaultBackground, defaultFont, defaultForeground, isFireLabelUpdateNotifications, labelProviderListeners`

## Constructor Summary

Constructors
Constructor
Description
`EMFCompareStructureMergeViewerLabelProvider(AdapterFactory adapterFactory, org.eclipse.jface.viewers.Viewer viewer)`
Constructor calling super
invalid reference

    #FontAndColorProvider(AdapterFactory, Viewer)

.

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.swt.graphics.Color`
`getBackground(Object object)`
`org.eclipse.swt.graphics.Font`
`getFont(Object object)`
`org.eclipse.swt.graphics.Color`
`getForeground(Object object)`
`org.eclipse.swt.graphics.Image`
`getImage(Object element)`
`protected StyledStringConverter`
`getStyledStringConverter()`
Returns the StyledStringConverter used to convert emf compare styled strings to jface styled strings.
`org.eclipse.jface.viewers.StyledString`
`getStyledText(Object element)`
`String`
`getText(Object element)`

### Methods inherited from class org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider

`addListener, createStyler, dispose, fireLabelProviderChanged, getAdapterFactory, getBackground, getColorFromObject, getColumnImage, getColumnText, getDefaultBackground, getDefaultFont, getDefaultForeground, getDefaultImage, getFont, getFontFromObject, getForeground, getImageFromObject, getStyledStringFromObject, isFireLabelUpdateNotifications, isLabelProperty, notifyChanged, removeListener, setAdapterFactory, setDefaultBackground, setDefaultFont, setDefaultForeground, setFireLabelUpdateNotifications, toJFaceStyledString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.viewers.IBaseLabelProvider

`addListener, dispose, isLabelProperty, removeListener`

### Methods inherited from interface org.eclipse.jface.viewers.ITableColorProvider

`getBackground, getForeground`

### Methods inherited from interface org.eclipse.jface.viewers.ITableFontProvider

`getFont`

## Field Details

### styledStringConverter

protected StyledStringConverter styledStringConverter

## Constructor Details

### EMFCompareStructureMergeViewerLabelProvider

public EMFCompareStructureMergeViewerLabelProvider(AdapterFactory adapterFactory, org.eclipse.jface.viewers.Viewer viewer)
Constructor calling super
invalid reference

    #FontAndColorProvider(AdapterFactory, Viewer)

.

Parameters:
  `adapterFactory` - The adapter factory.
  `viewer` - The viewer.

## Method Details

### getText

public String getText(Object element)

Specified by:
  `getText` in interface `org.eclipse.jface.viewers.ILabelProvider`
Overrides:
  `getText` in class `AdapterFactoryLabelProvider`
See Also:
  - `AdapterFactoryLabelProvider.getText(java.lang.Object)`

### getFont

public org.eclipse.swt.graphics.Font getFont(Object object)

Specified by:
  `getFont` in interface `org.eclipse.jface.viewers.IFontProvider`
Overrides:
  `getFont` in class `AdapterFactoryLabelProvider`
See Also:
  - `AdapterFactoryLabelProvider.getFont(java.lang.Object)`

### getForeground

public org.eclipse.swt.graphics.Color getForeground(Object object)

Specified by:
  `getForeground` in interface `org.eclipse.jface.viewers.IColorProvider`
Overrides:
  `getForeground` in class `AdapterFactoryLabelProvider`
See Also:
  - `AdapterFactoryLabelProvider.getForeground(java.lang.Object)`

### getBackground

public org.eclipse.swt.graphics.Color getBackground(Object object)

Specified by:
  `getBackground` in interface `org.eclipse.jface.viewers.IColorProvider`
Overrides:
  `getBackground` in class `AdapterFactoryLabelProvider`
See Also:
  - `AdapterFactoryLabelProvider.getBackground(java.lang.Object)`

### getImage

public org.eclipse.swt.graphics.Image getImage(Object element)

Specified by:
  `getImage` in interface `org.eclipse.jface.viewers.DelegatingStyledCellLabelProvider.IStyledLabelProvider`
Specified by:
  `getImage` in interface `org.eclipse.jface.viewers.ILabelProvider`
Overrides:
  `getImage` in class `AdapterFactoryLabelProvider`
See Also:
  - `AdapterFactoryLabelProvider.getImage(java.lang.Object)`

### getStyledText

public org.eclipse.jface.viewers.StyledString getStyledText(Object element)

Specified by:
  `getStyledText` in interface `org.eclipse.jface.viewers.DelegatingStyledCellLabelProvider.IStyledLabelProvider`
Overrides:
  `getStyledText` in class `AdapterFactoryLabelProvider`

### getStyledStringConverter

protected StyledStringConverter getStyledStringConverter()
Returns the StyledStringConverter used to convert emf compare styled strings to jface styled strings.

Returns:
  the styledStringConverter.